
From: Mikael Pettersson <mikpe@csd.uu.se>

Use set_task_cpu() instead of direct assignment to ->cpu in kthread_bind(),
as this eliminates the assignment on UP.


---

 kernel/kthread.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN kernel/kthread.c~use-set_task_cpu-in-kthread_bind kernel/kthread.c
--- 25/kernel/kthread.c~use-set_task_cpu-in-kthread_bind	2004-02-28 16:48:26.000000000 -0800
+++ 25-akpm/kernel/kthread.c	2004-02-28 16:48:26.000000000 -0800
@@ -131,7 +131,7 @@ struct task_struct *kthread_create(int (
 void kthread_bind(struct task_struct *k, unsigned int cpu)
 {
 	BUG_ON(k->state != TASK_INTERRUPTIBLE);
-	k->thread_info->cpu = cpu;
+	set_task_cpu(k, cpu);
 	k->cpus_allowed = cpumask_of_cpu(cpu);
 }
 

_
